=== debian/changelog ===
ros-foxy-controller-interface (0.11.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Aug 2022 23:00:00 -0000

ros-foxy-controller-interface (0.10.1-1focal) focal; urgency=high

  * Make interface_list_contains_interface_type inline (#721 <https://github.com/ros-controls/ros2_control/issues/721>) (#722 <https://github.com/ros-controls/ros2_control/issues/722>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 May 2022 23:00:00 -0000

ros-foxy-controller-interface (0.10.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-foxy-controller-interface (0.9.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Dec 2021 00:00:00 -0000

ros-foxy-controller-interface (0.8.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-foxy-controller-interface (0.8.0-1focal) focal; urgency=high

  * Automatic parameter declaration - enable existence of undeclared parameters from overrides (#504 <https://github.com/ros-controls/ros2_control/issues/504>)
  * Use clang format as code formatter (#491 <https://github.com/ros-controls/ros2_control/issues/491>)
  * Add pre-commit setup. (#473 <https://github.com/ros-controls/ros2_control/issues/473>)
  * Make controller_manager set controller's use_sim_time param when use_sim_time=True (#468 <https://github.com/ros-controls/ros2_control/issues/468>)
  * Correct obviously wrong call in controller interface. (#460 <https://github.com/ros-controls/ros2_control/issues/460>)
  * virtual destructors for semantic components (#455 <https://github.com/ros-controls/ros2_control/issues/455>)
  * Contributors: Denis Štogl, Karsten Knese, Lovro Ivanov, Simon Honigmann

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Aug 2021 23:00:00 -0000

ros-foxy-controller-interface (0.7.1-1focal) focal; urgency=high

  * Remove forgoten debug output (#439 <https://github.com/ros-controls/ros2_control/issues/439>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 14 Jun 2021 23:00:00 -0000

ros-foxy-controller-interface (0.7.0-1focal) focal; urgency=high

  * Add imu_sensor semantic component (#429 <https://github.com/ros-controls/ros2_control/issues/429>)
  * Fix osx warnings (#428 <https://github.com/ros-controls/ros2_control/issues/428>)
  * Add FTS as first semantic components to simplify controllers. (#370 <https://github.com/ros-controls/ros2_control/issues/370>)
  * Contributors: bailaC, Denis Štogl, Jordan Palacios, Karsten Knese, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Jun 2021 23:00:00 -0000

ros-foxy-controller-interface (0.6.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 May 2021 23:00:00 -0000

ros-foxy-controller-interface (0.6.0-1focal) focal; urgency=high

  * Added labels for controller states. (#414 <https://github.com/ros-controls/ros2_control/issues/414>)
  * prevent variable-sized object initialization (#411 <https://github.com/ros-controls/ros2_control/issues/411>)
  * Contributors: Denis Štogl, Karsten Knese, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 May 2021 23:00:00 -0000

ros-foxy-controller-interface (0.5.0-1focal) focal; urgency=high

  * Add NodeOptions parameter to init function of controller_interface (#382 <https://github.com/ros-controls/ros2_control/issues/382>)
  * guard around pragmas (#397 <https://github.com/ros-controls/ros2_control/issues/397>)
  * avoid deprecations (#393 <https://github.com/ros-controls/ros2_control/issues/393>)
  * Contributors: Auguste Bourgois, Karsten Knese, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 May 2021 23:00:00 -0000

ros-foxy-controller-interface (0.4.0-1focal) focal; urgency=high

  * Replace controller_interface return type SUCCESS by OK and mark SUCCESS as deprecated (#374 <https://github.com/ros-controls/ros2_control/issues/374>)
  * Contributors: Mateus Amarante

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 06 Apr 2021 23:00:00 -0000

ros-foxy-controller-interface (0.3.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 21 Mar 2021 00:00:00 -0000

ros-foxy-controller-interface (0.2.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 02 Mar 2021 00:00:00 -0000

ros-foxy-controller-interface (0.2.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 26 Feb 2021 00:00:00 -0000

ros-foxy-controller-interface (0.1.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 05 Feb 2021 00:00:00 -0000

ros-foxy-controller-interface (0.1.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 04 Feb 2021 00:00:00 -0000

ros-foxy-controller-interface (0.1.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 03 Feb 2021 00:00:00 -0000

ros-foxy-controller-interface (0.1.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 21 Jan 2021 00:00:00 -0000

ros-foxy-controller-interface (0.1.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 06 Jan 2021 00:00:00 -0000

ros-foxy-controller-interface (0.1.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 23 Dec 2020 00:00:00 -0000

ros-foxy-controller-interface (0.1.0-1focal) focal; urgency=high

  * Don't auto-declare override parameters and fix some prints (#276 <https://github.com/ros-controls/ros2_control/issues/276>)
  * Add configure controller service (#272 <https://github.com/ros-controls/ros2_control/issues/272>)
  * get_node() throw if node is uninitialized (#268 <https://github.com/ros-controls/ros2_control/issues/268>)

